<template>
	<view>
		<u-tabs :list="list" bg-color="#fff" font-size="28" active-color="var(--ui-BG-Main)" :is-scroll="false" v-model="current" @change="change"></u-tabs>
	</view>
</template>

<script>
	export default {
		components: {
			
		},
		props: {
			currentValue: {
				type: Number,
				default: 0,
			},
		},
		data() {
			return {
				list: [{
					name: '全部'
				}, {
					name: '待接单'
				}, {
					name: '服务中',
				}, {
					name: '已完成',
				}],
				
				current: 0,
			}
		},
		created() {
			this.current = this.currentValue;
		},
		methods: {
			change(index) {
				this.$emit('change', index);
			},
		}
	}
</script>

<style lang="scss" scoped>
	.tab-box {
		background-color: #fff;
		padding: 5px 0;
	}
</style>